- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AlpsParameter Class Reference

This parameter indeintifies a single parameter entry. More...

`#include <AlpsParameterBase.h>`

List of all members.

## Public Member Functions
Constructors / Destructor
| AlpsParameter ()
| The default constructor creates a phony parameter.
| AlpsParameter (const AlpsParameterT t, const int i)
| Constructor where members are specified.
| ~AlpsParameter ()
| The destructor.
Query methods
AlpsParameterT | type () const
| Return the type of the parameter.
int | index () const
| Return the index of the parameter within all parameters of the same type.
## Private Attributes
Data members
AlpsParameterT | type_
| The type of the parameter (e.g., AlpsIntPar).
int | index_
| The index of this parameter within all parameters of the same type.

## Detailed Description

This parameter indeintifies a single parameter entry.

Definition at line 77 of file AlpsParameterBase.h.

## Constructor & Destructor Documentation

AlpsParameter::AlpsParameter | ( |  | ) | `[inline]`

The default constructor creates a phony parameter.

Definition at line 93 of file AlpsParameterBase.h.

AlpsParameter::AlpsParameter | ( | const AlpsParameterT | t,
|  | const int | i |
| ) |  |  | `[inline]`

Constructor where members are specified.

Definition at line 95 of file AlpsParameterBase.h.

AlpsParameter::~AlpsParameter | ( |  | ) | `[inline]`

The destructor.

Definition at line 98 of file AlpsParameterBase.h.

## Member Function Documentation

AlpsParameterT AlpsParameter::type | ( |  | ) | const`[inline]`

Return the type of the parameter.

Definition at line 104 of file AlpsParameterBase.h.

References type_.

Referenced by AlpsParameterSet::setEntry().

int AlpsParameter::index | ( |  | ) | const`[inline]`

Return the index of the parameter within all parameters of the same type.

Definition at line 107 of file AlpsParameterBase.h.

References index_.

Referenced by AlpsParameterSet::setEntry().

## Member Data Documentation

AlpsParameterT AlpsParameter::type_`[private]`

The type of the parameter (e.g., AlpsIntPar).

Definition at line 83 of file AlpsParameterBase.h.

Referenced by type().

int AlpsParameter::index_`[private]`

The index of this parameter within all parameters of the same type.

Definition at line 85 of file AlpsParameterBase.h.

Referenced by index().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Alps/src/AlpsParameterBase.h